#!/bin/bash

ITERATION=$1

echo P100 > gpu-fpga.csv
for i in `seq 1 $ITERATION`;
do
    echo $i
    CUDA_VISIBLE_DEVICES=0 ./gpu-fpga 4096 
    echo , >> gpu-fpga.csv
done

echo \ >> gpu-fpga.csv

echo K40 >> gpu-fpga.csv
for i in `seq 1 $ITERATION`;
do
   echo $i
   CUDA_VISIBLE_DEVICES=1 ./gpu-fpga 4096
   echo , >> gpu-fpga.csv
done

cat gpu-fpga.csv | tr -d \\n > gpu-fpga.export.csv
sed -i 's/P100/'P100\\n'/' gpu-fpga.export.csv
sed -i 's/K40/'\\nK40\\n'/' gpu-fpga.export.csv
