#!/bin/bash

ITERATION=$1

echo P100 > loaded.csv
for i in `seq 1 $ITERATION`;
do
    echo $i
    CUDA_VISIBLE_DEVICES=0 ./loaded 4096 
    echo , >> loaded.csv
done

echo \ >> loaded.csv

echo K40 >> loaded.csv
for i in `seq 1 $ITERATION`;
do
   echo $i
   CUDA_VISIBLE_DEVICES=1 ./loaded 4096
   echo , >> loaded.csv
done

cat loaded.csv | tr -d \\n > loaded.export.csv
sed -i 's/P100/'P100\\n'/' loaded.export.csv
sed -i 's/K40/'\\nK40\\n'/' loaded.export.csv
