#!/bin/bash

ITERATION=$1

echo P100 > two_steps_dma.csv
for i in `seq 1 $ITERATION`;
do
    echo $i
    CUDA_VISIBLE_DEVICES=0 ./two_steps_dma 4096
    echo , >> two_steps_dma.csv
done

echo \ >> two_steps_dma.csv

echo K40 >> two_steps_dma.csv
for i in `seq 1 $ITERATION`;
do
    echo $i
    CUDA_VISIBLE_DEVICES=1 ./two_steps_dma 4096
    echo , >> two_steps_dma.csv
done

cat two_steps_dma.csv | tr -d \\n > two_steps_dma.export.csv
sed -i 's/P100/'P100\\n'/' two_steps_dma.export.csv
sed -i 's/K40/'\\nK40\\n'/' two_steps_dma.export.csv
