#include "cuda.h"
#include "cuda_runtime_api.h"
#include "gdrapi.h"

__device__ void add_two_device(CUdeviceptr number);
__global__ void add_three_global(CUdeviceptr number);
__global__ void add_one_global(CUdeviceptr number);
__global__ void fill_array(int* array, int value, size_t size);
__global__ void fill_float_array(float* array, float value, size_t size);
extern __shared__ float _temp[];
__global__ void get_reduction(float* array, float* output, size_t size, size_t stride);
__global__ void get_average_reduction(float* array, float* average, size_t size, size_t stride, size_t divider);
__global__ void get_dispersion_reduction(float* array, float* average, float* output, size_t size, size_t stride, size_t divider);
void get_average(float* array, float* average, size_t size,dim3 blocks_per_grid, dim3 threads_per_block);
void get_dispersion(float* array, float* average, float* dispersion, size_t size, dim3 blocks_per_grid, dim3 threads_per_block);
